[bitcoin/bitcoin] build: Make lint-locale-dependence.sh work with BSD grep (avoid empty subexpressions) (#13720)

@Empact Fixed the GNU:Ism in `lint-shell-locale.sh`. Do you know of any other incompatibility with BSD grep? I’ve now added a linter that will help us avoid introducing GNU:isms in our shell scripts :-)

Please re-review!

Добавить комментарий